Tab Control

- « UI\Executor::setInterval

- UI\Controls\Tab::append »

- PHP Manual
- UI
- Tab Control

# Tab Control

(UI 0.9.9)

## Introduction

A Tab can contain many pages of Controls, each with a title, each selectable by the user.

## Class synopsis

class UI\Controls\Tab extends UI\Control {
/* Properties */
protected $controls;
/* Methods */
public append(string `$name`, UI\Control `$control`): int
public delete(int `$index`): bool
public hasMargin(int `$page`): bool
public insertAt(string `$name`, int `$page`, UI\Control `$control`)
public pages(): int
public setMargin(int `$page`, bool `$margin`)
/* Inherited methods */
public UI\Control::destroy()
public UI\Control::disable()
public UI\Control::enable()
public UI\Control::getParent(): UI\Control
public UI\Control::getTopLevel(): int
public UI\Control::hide()
public UI\Control::isEnabled(): bool
public UI\Control::isVisible(): bool
public UI\Control::setParent(UI\Control `$parent`)
public UI\Control::show()
}

## Properties

controls

  Contains controls, should not be manipulated directly

## Table of Contents

- UI\Controls\Tab::append — Append Page
- UI\Controls\Tab::delete — Delete Page
- UI\Controls\Tab::hasMargin — Margin Detection
- UI\Controls\Tab::insertAt — Insert Page
- UI\Controls\Tab::pages — Page Count
- UI\Controls\Tab::setMargin — Set Margin